Loading...
Searching...
No Matches
volk_arch_defs Namespace Reference

## Data Structures

class | arch_class

## Functions

| register_arch (**kwargs)

## Variables

| archs = list()
| arch_dict = dict()
| gendir = os.path.dirname(__file__)
| archs_xml = minidom.parse(os.path.join(gendir, 'archs.xml')).getElementsByTagName('arch')
| kwargs = dict()
| name = node.tagName
| val = arch_xml.getElementsByTagName(name)[0].firstChild.data
| checks = list()
| params = list()
| flags = dict()

## Function Documentation

## register_arch()

volk_arch_defs.register_arch | ( | ** | kwargs | ) |

## Variable Documentation

## arch_dict

volk_arch_defs.arch_dict = dict()

## archs

volk_arch_defs.archs = list()

## archs_xml

volk_arch_defs.archs_xml = minidom.parse(os.path.join(gendir, 'archs.xml')).getElementsByTagName('arch')

## checks

volk_arch_defs.checks = list()

## flags

volk_arch_defs.flags = dict()

## gendir

volk_arch_defs.gendir = os.path.dirname(__file__)

## kwargs

volk_arch_defs.kwargs = dict()

## name

volk_arch_defs.name = node.tagName

## params

volk_arch_defs.params = list()

## val

volk_arch_defs.val = arch_xml.getElementsByTagName(name)[0].firstChild.data